Bug 329270 - On canvas notifications appears on the wrong screen in dual-monitor
Summary: On canvas notifications appears on the wrong screen in dual-monitor
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Usability (show other bugs)
Version: 2.8 Pre-Alpha
Platform: Compiled Sources Linux
: NOR minor
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-27 08:52 UTC by David REVOY
Modified: 2015-06-24 08:29 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
screenshot of the notification on the wrong screen , while wanting for exemple to paint on an invisible layer (211.37 KB, image/jpeg)
2013-12-27 08:52 UTC, David REVOY
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David REVOY 2013-12-27 08:52:05 UTC
Created attachment 84291 [details]
screenshot of the notification on the wrong screen , while wanting for exemple to paint on an invisible layer

With a twinview setup ( nvidia graphics ) the 'on canvas notification' appears on the wrong screen ( top-right corner of the left screen )  instead of the usual place in Krita ( top-right corner of Krita windows ).
Comment 1 Halla Rempt 2013-12-28 12:36:35 UTC
Git commit b74b2d01b36dbe0347813e460503296cc5b3d217 by Boudewijn Rempt.
Committed on 28/12/2013 at 12:35.
Pushed by rempt into branch 'calligra/2.8'.

Correctly place floating message over the canvas

M  +19   -14   krita/ui/widgets/kis_floating_message.cpp

http://commits.kde.org/calligra/b74b2d01b36dbe0347813e460503296cc5b3d217
Comment 2 Halla Rempt 2013-12-28 12:36:51 UTC
Git commit ae723f93e3c17721829252a96055c06e5bb7c7fa by Boudewijn Rempt.
Committed on 28/12/2013 at 12:35.
Pushed by rempt into branch 'master'.

Correctly place floating message over the canvas

M  +19   -14   krita/ui/widgets/kis_floating_message.cpp

http://commits.kde.org/calligra/ae723f93e3c17721829252a96055c06e5bb7c7fa
Comment 3 David REVOY 2013-12-30 15:10:10 UTC
Nice, it works really well ! ( tested with twinview, across monitors , etc... )  I also like the new top-left placement. Easier to read for me.  thx!